Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511987 - RFE: allow wildcard and bracket expansion operations
Summary: RFE: allow wildcard and bracket expansion operations
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: vdo
Version: 7.6
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: bjohnsto
QA Contact: Jakub Krysl
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-10 15:03 UTC by Corey Marthaler
Modified: 2019-03-06 02:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-04 20:13:20 UTC


Attachments (Terms of Use)

Description Corey Marthaler 2017-11-10 15:03:26 UTC
Description of problem:
Certainly not a priority initially, but this would be nice eventually.

[root@harding-02 ~]# vdo list
PV1
PV3
PV2
PV5
PV4
PV7
PV6
PV8

[root@harding-02 ~]# vdo remove --name PV[12345678]
Usage: vdo --name=<volume>|--all [<option>...] activate|deactivate|create|remove|
                                  start|stop|status|list|modify|
                                  changeWritePolicy|enableDeduplication|
                                  disableDeduplication|enableCompression|
                                  disableCompression|growLogical|growPhysical|
                                  printConfigFile

vdo: error: option --name: VDO device names may only contain characters in 'A-Za-z0-9#+.:@_-': bad value 'PV[12345678]'
[root@harding-02 ~]# vdo remove --name PV*
Usage: vdo --name=<volume>|--all [<option>...] activate|deactivate|create|remove|
                                  start|stop|status|list|modify|
                                  changeWritePolicy|enableDeduplication|
                                  disableDeduplication|enableCompression|
                                  disableCompression|growLogical|growPhysical|
                                  printConfigFile

vdo: error: option --name: VDO device names may only contain characters in 'A-Za-z0-9#+.:@_-': bad value 'PV*'
[root@harding-02 ~]# vdo remove --name PV1 PV2 PV3
vdo: ERROR - Must specify exactly one command
Usage: vdo --name=<volume>|--all [<option>...] activate|deactivate|create|remove|
                                  start|stop|status|list|modify|
                                  changeWritePolicy|enableDeduplication|
                                  disableDeduplication|enableCompression|
                                  disableCompression|growLogical|growPhysical|
                                  printConfigFile

[root@harding-02 ~]# vdo remove --name PV1
Removing VDO PV1
Stopping VDO PV1
[root@harding-02 ~]# vdo remove --name PV{12345678}
Usage: vdo --name=<volume>|--all [<option>...] activate|deactivate|create|remove|
                                  start|stop|status|list|modify|
                                  changeWritePolicy|enableDeduplication|
                                  disableDeduplication|enableCompression|
                                  disableCompression|growLogical|growPhysical|
                                  printConfigFile

vdo: error: option --name: VDO device names may only contain characters in 'A-Za-z0-9#+.:@_-': bad value 'PV{12345678}'



Version-Release number of selected component (if applicable):
vdo-6.1.0.34-8    BUILT: Fri Nov  3 06:58:45 CDT 2017
kmod-kvdo-6.1.0.34-7.el7    BUILT: Fri Nov  3 06:44:06 CDT 2017

Comment 3 Bryan Gurney 2017-11-10 15:13:33 UTC
This can be done with a very small shell script:

[root@rhel75test-20171023 ~]# vdo list
vdo2
vdo1
[root@rhel75test-20171023 ~]# for j in 1 2; do echo $j; vdo remove --name=vdo$j; done
1
Removing VDO vdo1
Stopping VDO vdo1
2
Removing VDO vdo2
Stopping VDO vdo2

Comment 6 corwin 2018-12-04 20:13:20 UTC
vdo manager is going to be deprecated in favor of lvm, so future feature work on it is not going to be done.


Note You need to log in before you can comment on or make changes to this bug.